"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    }
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var ModalContainer = /** @class */ (function (_super) {
    __extends(ModalContainer, _super);
    function ModalContainer(props) {
        var _this = _super.call(this, props) || this;
        _this.openModal = function () {
            _this.setState({ isActive: true });
        };
        _this.closeModal = function () {
            _this.setState({ isActive: false });
        };
        _this.state = {
            isActive: _this.props.activeOnLoad || false,
        };
        return _this;
    }
    ModalContainer.prototype.componentDidMount = function () {
        var _this = this;
        // close modal when esc key is pressed
        document.addEventListener('keyup', function (e) {
            if (_this.state.isActive && e.keyCode === 27) {
                _this.closeModal();
            }
        });
    };
    ModalContainer.prototype.render = function () {
        return this.props.children(this.openModal, this.closeModal, this.state.isActive);
    };
    return ModalContainer;
}(React.Component));
exports.ModalContainer = ModalContainer;
//# sourceMappingURL=ModalContainer.js.map