"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var Button_1 = require("../../Atoms/Button");
var keyframes_1 = require("../../keyframes");
// actual modal itself
exports.ModalBox = function (props) {
    var closeModal = props.closeModal, children = props.children, className = props.className, showCloseButton = props.showCloseButton, showAnimation = props.showAnimation, style = props.style, closeButtonStyle = props.closeButtonStyle;
    var StyledModalBox = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    background: white;\n    box-sizing: border-box;\n    position: relative;\n    z-index: 1000;\n    animation: ", " 0.3s;\n  "], ["\n    background: white;\n    box-sizing: border-box;\n    position: relative;\n    z-index: 1000;\n    animation: ", " 0.3s;\n  "])), showAnimation ? keyframes_1.scaleDown : 'none');
    var DefaultCloseButtonStyle = {
        position: 'absolute',
        width: '30px',
        height: '30px',
        top: '-10px',
        right: '-10px',
        textAlign: 'center',
        padding: '9px 0',
        fontSize: '20px',
        lineHeight: '0',
        borderRadius: '15px',
    };
    return (React.createElement(StyledModalBox, { className: ['modal-box', className].join(' '), onClick: function (e) { e.stopPropagation(); }, style: style },
        showCloseButton &&
            React.createElement(Button_1.Button, { action: closeModal, text: "\u00D7", className: "modal-close-button", style: Object.assign(DefaultCloseButtonStyle, closeButtonStyle) }),
        children));
};
var templateObject_1;
//# sourceMappingURL=ModalBox.js.map