"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var FullScreenOverlay_1 = require("../../Atoms/FullScreenOverlay");
var ModalBox_1 = require("../../Molecules/ModalBox");
exports.Modal = function (props) {
    var isActive = props.isActive, closeModal = props.closeModal, children = props.children, className = props.className, showCloseButton = props.showCloseButton, showAnimation = props.showAnimation, modalBoxStyle = props.modalBoxStyle, closeButtonStyle = props.closeButtonStyle, overlayStyle = props.overlayStyle;
    return (React.createElement(FullScreenOverlay_1.FullScreenOverlay, { isActive: isActive, action: closeModal, className: className, showAnimation: showAnimation, style: overlayStyle },
        React.createElement(ModalBox_1.ModalBox, { isActive: isActive, closeModal: closeModal, className: className, showCloseButton: showCloseButton, showAnimation: showAnimation, style: modalBoxStyle, closeButtonStyle: closeButtonStyle }, children)));
};
//# sourceMappingURL=Modal.js.map