import * as React from 'react';
import * as ReactDOM from 'react-dom';

import { Modal, ModalContainer } from '../src';

class App extends React.Component {
  public render() {
    return(
      <div>
        <h1>React-Modal demo</h1>
        <ModalContainer>
          {(openModal, closeModal, isActive) => (
            <>
              <button onClick={openModal}>open modal</button>
              <Modal
                isActive={isActive}
                closeModal={closeModal}
                className="demo"
                showCloseButton={true}
                showAnimation={true}
                modalBoxStyle={{
                  width: 500,
                  height: 300,
                  padding: 30,
                }}
              >
                <h1>some content</h1>
              </Modal>
            </>
          )}
        </ModalContainer>
      </div>
    );
  }
}

ReactDOM.render(
  <App />,
  document.getElementById('app'),
);
