"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var styled_components_1 = require("styled-components");
var keyframes_1 = require("../../keyframes");
// full screen overlay
exports.FullScreenOverlay = function (props) {
    var isActive = props.isActive, action = props.action, children = props.children, className = props.className, showAnimation = props.showAnimation, style = props.style;
    var StyledOverlay = styled_components_1.default.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    display: ", ";\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    z-index: 999;\n    background: rgba(0, 0, 0, 0.75);\n    overflow: auto;\n    justify-content: center;\n    align-items: center;\n    animation: ", " 0.3s;\n  "], ["\n    display: ", ";\n    position: fixed;\n    top: 0;\n    left: 0;\n    width: 100%;\n    height: 100%;\n    z-index: 999;\n    background: rgba(0, 0, 0, 0.75);\n    overflow: auto;\n    justify-content: center;\n    align-items: center;\n    animation: ", " 0.3s;\n  "])), isActive ? 'flex' : 'none', showAnimation ? keyframes_1.fadeIn : 'none');
    return (React.createElement(StyledOverlay, { className: ['full-screen-overlay', className].join(' '), onClick: action, style: style }, children));
};
var templateObject_1;
//# sourceMappingURL=FullScreenOverlay.js.map